API·REFERENCE·PAGES·LIST·GENERATED
List pages
GET
/pages
SCOPE:pages:read
List pages
Authentication
Requires API key with pages:read scope.
Query parameters
| Name | Type | Default | Description |
|---|---|---|---|
limit | integer | — | Query parameter. |
cursor | string | — | Query parameter. |
Request
(no body)
Response — 200 OK
{
"pages": [
{
"id": "00000000-0000-0000-0000-000000000000",
"alias_id": "example",
"name": "example",
"icon": "example",
"project_id": "00000000-0000-0000-0000-000000000000",
"parent_page_id": "00000000-0000-0000-0000-000000000000",
"is_public": true,
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"next_cursor": "example"
}
Errors
| Status | Code | When |
|---|---|---|
| 401 | unauthorized | Missing or invalid API key. |
| 403 | forbidden | API key lacks required scope. |
| 429 | rate_limited | Token bucket exhausted. |
Code samples
curl https://api.onnie.ai/api/public/v1/pages \
-H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2'const response = await fetch('/pages', {
method: 'GET',
headers: {
'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
},
})
const data = await response.json(){
"server": "onnie",
"name": "listPages",
"description": "GET /pages"
}